{
  "name": "functions",
  "scripts": {
    "build": "tsc --project tsconfig.json",
    "deploy": "firebase deploy --only functions",
    "lint": "tslint --project tsconfig.json",
    "logs": "firebase functions:log",
    "run-prod": "node -r source-map-support/register lib/run.js",
    "run-test": "node -r source-map-support/register lib/test.js",
    "serve": "npm run build && firebase serve --only functions",
    "shell": "npm run build && firebase functions:shell",
    "start": "npm run shell",
    "watch": "tsc --project tsconfig.json --watch --preserveWatchOutput"
  },
  "main": "lib/index.js",
  "dependencies": {
    "@types/node-fetch": "^2.1.4",
    "firebase-admin": "~6.0.0",
    "firebase-functions": "^2.1.0",
    "node-fetch": "^2.3.0",
    "sleep-promise": "^8.0.1"
  },
  "devDependencies": {
    "express": "^4.16.4",
    "morgan": "^1.9.1",
    "ts-mockito": "^2.3.1",
    "tslint": "^5.12.0",
    "typescript": "^3.2.2"
  },
  "private": true
}
